﻿using System;
using System.Linq;
using System.Windows.Controls;
using Telerik.Windows.Controls;

namespace RadGridViewValidation
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.radGridView1.ItemsSource = EmployeeService.GetEmployees();

            //  radDataPager.Source = EmployeeService.GetEmployees();
        }

        public void radGridView_CellValidating(object sender, GridViewCellValidatingEventArgs e)
        {
            if (e.Cell.Column.UniqueName == "Age")
            {
                int newValue = Int32.Parse(e.NewValue.ToString());
                if (newValue < 0 || newValue > 130)
                {
                    e.IsValid = false;
                    e.ErrorMessage = "The entered value must be between 0 and 130";
                }
            }
        }
    }
}
